EDIT - feature request #7978

registration search result ordered by identifier descending
01/11/2019 03:08 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdmlib-remote Estimated time: 0:00 hour
Target version: Release 5.5

Severity: normal

Description

The default sort order of the registration search results should be inverted.

Related issues:
Related to EDIT - feature request #8186: List view order Duplicate
Related to EDIT - feature request #8157: Registration list view: sort registr... New

Associated revisions

Revision 5e1fc3d8 - 01/11/2019 03:46 PM - Andreas Kohlbecker

fix #7978 registration search results in descending order by identifier

Revision 572d3814 - 02/01/2019 04:27 PM - Andreas Kohlbecker
fix #7978 registrationDTOs ordered by registration date

History

#1 - 01/11/2019 03:09 PM - Andreas Kohlbecker

- Category changed from cdmlib-remote to cdm-dataportal
- Status changed from New to In Progress

- Priority changed from New to Highest

- Target version changed from Unassigned CDM tickets to Release 5.5

#2 - 01/11/2019 03:44 PM - Andreas Kohlbecker

- Subject changed from registration search result orderd by identifier ascending to registration search result orderd by identifier descending

#3 - 01/11/2019 03:44 PM - Andreas Kohlbecker

- Category changed from cdm-dataportal to cdmlib-remote

this needs to be changed in the remote controller

#4 - 01/11/2019 03:44 PM - Andreas Kohlbecker
- Tags set to phycobank

#5 - 01/11/2019 03:46 PM - Andreas Kohlbecker
- Status changed from In Progress to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|5e1fc3d850d7b149f2c831c4430e15172b3e33e6.

#6 - 01/11/2019 03:47 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

please review once the test server is updated

#7 - 01/15/2019 02:07 PM - Wolf-Henning Kusber

04/19/2024 1/3



https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdmlib/revisions/5e1fc3d850d7b149f2c831c4430e15172b3e33e6

- File picture126-1.png added
- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

- % Done changed from 50 to 70

Descending order is partly solved.
Tested with Search=Planothidium

Descending order for 7874-7845 is correct.
Descending order for 100388-100001 is correct.

But 7874-7845 is followed by 100388-100001, this is not correct taking the entire number into acount.

7845100388)

hitp:iiphycobank.org/7849
Flanothidium chilense Lange-Bert.

hitp:iphycobank.org/7848

Flanothidium borneolanceolatum (Lange-Bert.) Lange-Bert.

hitp:iphycobank.org/7847 €
Flanothidium biporomum (M.H.Hohn & Hellerman) Lange-Bert. -

hitp:iphycobank.org/7 846
Planothidium aueri (Krasske) Lange-Bert.

hitp:iphycobank.org/7845

} | Planothidium apiculatum (R.M.Patrick) Lange—Eler<

tip.iphycobank.org/100388
Planothidiurm longicapitatum Kulikovskiy & Lange-Bert. Type: Russian Federation, Bol§hoi Ushkaniy Island, Lake Baikal ,
20.7.1965, A. Skabitschewsky. Holotype, (IBIW 15650M).

hitp:iphycobank.org/100387
Flanothidium intermediumbaicale Kulikovskiy & Lange-Bert. Type: Russian Federation}Bolshoi Ushkgniy Island, Lake
Baikal , 20.7.1965, A. Skabitschewsky. Holotype, (IBIW 15645m).; Isotype, (SZCZ 156454).

hitp:iphycobank.org/100386

Flanothidium decipiens Kulikovskiy & Lange-Bert. Type: Russian Federation, Bolshoi lshkaniy Island, Lake Baikal ,
20.7.1965, A. Skabitschewsky. Holotype, (IBIW 15645m).; Isotype, (SZCZ 15645a).

hitn-iinhvenhank oraM100385

#8 - 01/30/2019 03:54 PM - Andreas Kohlbecker
- File picture446-1.png added
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

In the report for the meeting with Walter i found the following requirement: "WHK: neueste Registrierungen oben,".

So we should order the registrations by registration date. The registration data should be displayed in this case in the result list. For example like this:

- -

http://phycobank.org/100005
Planothidium victori Novis, Braidwood & Kilroy Type: New Zealand, Canterbury: Styx River, 43°27'46.8"S,
172°36'14.4"E, 4.11.2009, P. Novis & ]. Braidwood. Holotype, (CHR 618408).

#9 - 01/30/2019 03:59 PM - Wolf-Henning Kusber
- Status changed from Feedback to In Progress

- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker
good idea!

#10 - 02/01/2019 04:27 PM - Andreas Kohlbecker
- Status changed from In Progress to Resolved

- % Done changed from 70 to 50

Applied in changeset cdmlib|572d38143187dcf1fe9ae6¢79195acc0ale1519b.

#11 - 02/01/2019 04:27 PM - Andreas Kohlbecker
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdmlib/revisions/572d38143187dcf1fe9ae6c79195acc0a1e1519b

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

- % Done changed from 50 to 80

ready, please review again. (once test server is up to date)

#12 - 02/07/2019 06:47 PM - Wolf-Henning Kusber
- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

- % Done changed from 80 to 100

Issue fully resolved. Ticket can be closed.

#13 - 02/07/2019 10:21 PM - Andreas Kohlbecker

- Status changed from Resolved to Closed

#14 - 02/14/2019 01:19 PM - Andreas Miiller

- Subject changed from registration search result orderd by identifier descending to registration search result ordered by identifier descending

#15 - 03/19/2019 09:52 AM - Andreas Kohlbecker

- Related to feature request #8186: List view order added

#16 - 03/19/2019 09:52 AM - Andreas Kohlbecker

- Related to feature request #8157: Registration list view: sort registrations by the same order as in the dataportal added

Files
picture126-1.png 38.1 KB 01/15/2019 Wolf-Henning Kusber
picture446-1.png 16.5 KB 01/30/2019 Andreas Kohlbecker
